Subject: Re: [Uta] Review of, and recommendation to adopt, draft-tschofenig-uta-tls13-profile

From: Loganaden Velvindron <[email-masked]>
Date: Thu, 4 Apr 2019 10:24:10 +0400

Introduction, 3rd paragraph:

 "TLS 1.3 has been re-designed and several previously defined
   extensions are not applicable to the new version of TLS/DTLS anymore"

I think that this could be improved a bit, as it gives the impression that
there was a previous version of TLS 1.3. Something like "TLS 1.3 has
been designed
differently compared to previous versions of TLS. Therefore several
previously defined
extensions are not applicable to the new version of TLS/DTLS anymore".

Secton 4: error handling:

"... important for a developer to find out from situation situation ..."

I think that the 2nd use of "situation" is not needed.

Overall, I support adoption of this document.

Section 9.  Timeouts

I'm curious about the choice of 9 seconds. Is there a reason behind
choosing this value ?
If there is, then I think that there should be an explanation and a link.